MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
sc::BcastStateSend Class Reference

BcastStateSend does the send part of a broadcast of an object to all nodes. More...

`#include <mstate.h>`

Inheritance diagram for sc::BcastStateSend:

List of all members.

## Public Member Functions

| BcastStateSend (const Ref< MessageGrp > &)
| Create the BcastStateSend.
void | flush ()
| Flush the data remaining in the buffer.

## Detailed Description

BcastStateSend does the send part of a broadcast of an object to all nodes.

Only one node uses a BcastStateSend and the rest must use a BcastStateRecv.

The documentation for this class was generated from the following file:

- mstate.h